1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

lookupPrices

Developing
POST
/lookupPrices
Get price for article

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/lookupPrices' \
--header 'Content-Type: application/json' \
--data '{
    "customer": "string",
    "store": "string",
    "items": [
        {
            "article": "string",
            "quantity": 0,
            "quantityUnit": "string",
            "lineRef": 0
        }
    ],
    "isCustomerOrder": true
}'
Response Response Example
{
    "items": [
        {
            "article": "string",
            "price": 0,
            "taxAmount": 0,
            "lineRef": 0
        }
    ]
}
Modified at 2026-09-25 08:12:07
Previous
getStockLevels
Next
lookupMargins
Built with